* [gentoo-commits] repo/gentoo:master commit in: dev-python/cheroot/, dev-python/cheroot/files/
@ 2019-03-09 23:23 William Hubbs
0 siblings, 0 replies; 3+ messages in thread
From: William Hubbs @ 2019-03-09 23:23 UTC (permalink / raw
To: gentoo-commits
commit: 4ea066613c23ed12ef7dd6396c89bf30598cc8a9
Author: William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 9 20:26:05 2019 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sat Mar 9 23:22:57 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ea06661
dev-python/cheroot: 6.5.4 version bump
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>
dev-python/cheroot/Manifest | 1 +
dev-python/cheroot/cheroot-6.5.4.ebuild | 53 ++++++++++++++++++++++
.../cheroot/files/6.5.4-fix-requirements.patch | 10 ++++
3 files changed, 64 insertions(+)
diff --git a/dev-python/cheroot/Manifest b/dev-python/cheroot/Manifest
index dc780ea428b..83b02d2e41f 100644
--- a/dev-python/cheroot/Manifest
+++ b/dev-python/cheroot/Manifest
@@ -1 +1,2 @@
DIST cheroot-6.0.0.tar.gz 62763 BLAKE2B 0946c01c6a6233dc60ca3dd896c3d1dbc0feb97d5099d88598db340a8812b2be4cb076383c0e39d30cd2c6fd3402e048b716a02e82bec8ce08d5b8fca4b1be0f SHA512 0109fbf3b73ed3f12261eaa3c6d86b6c6b80a1ba3564548ba3288aa6c61a1c08db60886e677991bf7997e6a5b1ec7767a3e06098ec1748453e72c40fda7b82a7
+DIST cheroot-6.5.4.tar.gz 81067 BLAKE2B 5304373bb8c7cefa341260d4fdb8a99b9e22041260342a716a6b95ba324b4f31d20fb44d8dc10840fb35d3b04de1283deb9aca11bc78772655bf7ad81cf16f3c SHA512 62a48ced225bf9167259b82f5e88a953bdc422982a6c0b0121b28e895cc8347cc033f573b57a048c59167586e0b21e94ad233ce2b65a1b72feb01db82b5ed411
diff --git a/dev-python/cheroot/cheroot-6.5.4.ebuild b/dev-python/cheroot/cheroot-6.5.4.ebuild
new file mode 100644
index 00000000000..3398414a79d
--- /dev/null
+++ b/dev-python/cheroot/cheroot-6.5.4.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Cheroot is the high-performance, pure-Python HTTP server used by CherryPy."
+HOMEPAGE="http://www.cherrypy.org/ https://pypi.org/project/Cheroot/ https://github.com/cherrypy/cheroot"
+SRC_URI="mirror://pypi/C/${PN/c/C}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+# Unit tests are temporarily disabled for this version, see below for
+# what needs to be done.
+# IUSE="test"
+RESTRICT="test"
+
+RDEPEND=">=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-2.6[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm_git_archive-1.0[${PYTHON_USEDEP}]"
+
+ # Add the following for unit tests, some packages listed will need
+ # to be added and keyworded appropriately.
+# test? (
+# dev-python/ddt[${PYTHON_USEDEP}]
+# dev-python/pytest[${PYTHON_USEDEP}]
+# dev-python/pytest-mock[${PYTHON_USEDEP}]
+# dev-python/pytest-sugar[${PYTHON_USEDEP}]
+# dev-python/pytest-testmon[${PYTHON_USEDEP}]
+# dev-python/pytest-watch[${PYTHON_USEDEP}]
+# dev-python/pytest-xdist[${PYTHON_USEDEP}]
+# dev-python/coverage[${PYTHON_USEDEP}]
+# dev-python/codecov[${PYTHON_USEDEP}]
+# dev-python/pytest-cov[${PYTHON_USEDEP}]
+# dev-python/trustme[${PYTHON_USEDEP}]
+# dev-python/pyopenssl[${PYTHON_USEDEP}]
+# dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+# )"
+
+PATCHES=(
+ # https://github.com/CherryPy/cheroot/issues/181
+ "${FILESDIR}"/6.5.4-fix-requirements.patch
+)
+
+# python_test() {
+# py.test -v || die "tests failed under ${EPYTHON}"
+# }
diff --git a/dev-python/cheroot/files/6.5.4-fix-requirements.patch b/dev-python/cheroot/files/6.5.4-fix-requirements.patch
new file mode 100644
index 00000000000..a5a493704cf
--- /dev/null
+++ b/dev-python/cheroot/files/6.5.4-fix-requirements.patch
@@ -0,0 +1,10 @@
+--- a/setup.cfg 2019-03-09 17:14:40.127863655 -0600
++++ b/setup.cfg 2019-03-09 17:15:22.135345396 -0600
+@@ -57,7 +57,6 @@
+ setuptools_scm>=1.15.0
+ setuptools_scm_git_archive>=1.0
+ install_requires =
+- backports.functools_lru_cache
+ six>=1.11.0
+ more_itertools>=2.6
+
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/cheroot/, dev-python/cheroot/files/
@ 2020-06-21 10:16 Michał Górny
0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2020-06-21 10:16 UTC (permalink / raw
To: gentoo-commits
commit: 47041306d5abf602abb2a3e7580e1592006bf511
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 21 10:08:36 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun 21 10:16:41 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47041306
dev-python/cheroot: Backport a better fix for UNIX socket tests
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/cheroot/cheroot-8.3.0-r1.ebuild | 6 ++-
.../files/cheroot-8.3.0-test-unixsocket.patch | 57 ++++++++++++++++++++++
2 files changed, 61 insertions(+), 2 deletions(-)
diff --git a/dev-python/cheroot/cheroot-8.3.0-r1.ebuild b/dev-python/cheroot/cheroot-8.3.0-r1.ebuild
index b5bbaf91d37..4323b58cfed 100644
--- a/dev-python/cheroot/cheroot-8.3.0-r1.ebuild
+++ b/dev-python/cheroot/cheroot-8.3.0-r1.ebuild
@@ -34,6 +34,10 @@ BDEPEND="
distutils_enable_tests pytest
+PATCHES=(
+ "${FILESDIR}"/cheroot-8.3.0-test-unixsocket.patch
+)
+
python_prepare_all() {
sed -e "s/use_scm_version=True/version='${PV}'/" -i setup.py || die
sed -e '/setuptools_scm/d' -i setup.cfg || die
@@ -45,8 +49,6 @@ python_prepare_all() {
# broken
sed -e '/False.*localhost/d' \
-i cheroot/test/test_ssl.py || die
- sed -e "s:'abstract', 'file':'file',:" \
- -i cheroot/test/test_server.py || die
distutils-r1_python_prepare_all
}
diff --git a/dev-python/cheroot/files/cheroot-8.3.0-test-unixsocket.patch b/dev-python/cheroot/files/cheroot-8.3.0-test-unixsocket.patch
new file mode 100644
index 00000000000..31148956530
--- /dev/null
+++ b/dev-python/cheroot/files/cheroot-8.3.0-test-unixsocket.patch
@@ -0,0 +1,57 @@
+From 6ead1efb37edfade4dda60e48d1af8fe89be3cdc Mon Sep 17 00:00:00 2001
+From: "Jason R. Coombs" <jaraco@jaraco.com>
+Date: Sun, 12 Apr 2020 16:28:00 -0400
+Subject: [PATCH] Remove client from peercreds tests. Fixes #276.
+
+---
+ cheroot/test/test_server.py | 13 ++++++-------
+ 1 file changed, 6 insertions(+), 7 deletions(-)
+
+diff --git a/cheroot/test/test_server.py b/cheroot/test/test_server.py
+index 80728d66..6c4b53ee 100644
+--- a/cheroot/test/test_server.py
++++ b/cheroot/test/test_server.py
+@@ -23,7 +23,6 @@
+ ANY_INTERFACE_IPV4,
+ ANY_INTERFACE_IPV6,
+ EPHEMERAL_PORT,
+- get_server_client,
+ )
+
+
+@@ -171,19 +170,19 @@ def send_payload(self, payload):
+
+
+ @pytest.fixture
+-def peercreds_enabled_server_and_client(http_server, unix_sock_file):
++def peercreds_enabled_server(http_server, unix_sock_file):
+ """Construct a test server with ``peercreds_enabled``."""
+ httpserver = http_server.send(unix_sock_file)
+ httpserver.gateway = _TestGateway
+ httpserver.peercreds_enabled = True
+- return httpserver, get_server_client(httpserver)
++ return httpserver
+
+
+ @unix_only_sock_test
+ @non_macos_sock_test
+-def test_peercreds_unix_sock(peercreds_enabled_server_and_client):
++def test_peercreds_unix_sock(peercreds_enabled_server):
+ """Check that ``PEERCRED`` lookup works when enabled."""
+- httpserver, testclient = peercreds_enabled_server_and_client
++ httpserver = peercreds_enabled_server
+ bind_addr = httpserver.bind_addr
+
+ if isinstance(bind_addr, six.binary_type):
+@@ -212,9 +211,9 @@ def test_peercreds_unix_sock(peercreds_enabled_server_and_client):
+ )
+ @unix_only_sock_test
+ @non_macos_sock_test
+-def test_peercreds_unix_sock_with_lookup(peercreds_enabled_server_and_client):
++def test_peercreds_unix_sock_with_lookup(peercreds_enabled_server):
+ """Check that ``PEERCRED`` resolution works when enabled."""
+- httpserver, testclient = peercreds_enabled_server_and_client
++ httpserver = peercreds_enabled_server
+ httpserver.peercreds_resolve_enabled = True
+
+ bind_addr = httpserver.bind_addr
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-python/cheroot/, dev-python/cheroot/files/
@ 2022-11-20 7:45 Michał Górny
0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2022-11-20 7:45 UTC (permalink / raw
To: gentoo-commits
commit: e87895ae81bdb1acdc62593bda0ab5ce91b0219d
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 20 06:58:54 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 20 07:45:04 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e87895ae
dev-python/cheroot: Bump to 9.0.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/cheroot/Manifest | 1 +
dev-python/cheroot/cheroot-9.0.0.ebuild | 79 ++++++++++++++++++++++
.../files/cheroot-9.0.0-remove-pypytools-dep.patch | 21 ++++++
3 files changed, 101 insertions(+)
diff --git a/dev-python/cheroot/Manifest b/dev-python/cheroot/Manifest
index be6b31626dbe..f76d75408ab0 100644
--- a/dev-python/cheroot/Manifest
+++ b/dev-python/cheroot/Manifest
@@ -1 +1,2 @@
DIST cheroot-8.6.0.tar.gz 134779 BLAKE2B 97d1a9bf0a8d72d3204972934aa3ac4c97246b413edebd9f38caa802a5343acc426f137addfdc0faec58f6af2d62bc22023e93b14e1b0b07f6be9ffb12e78306 SHA512 26e48c935fe32d4ce3cf6ae20b5b272416ca53bd8496527c2958ec2ebe87529c831f283ae900e13271b610e39531b682df0376935ecc3bcfcca11c299cd2a893
+DIST cheroot-9.0.0.tar.gz 152562 BLAKE2B 5f5dd172cfc8fdd1318b22fc27060444a34343b6b83bbda4bd40c16d7cb0568c356f5fd14b0a7cdc74895d6707077ec54fcae54fb29b0d16a7c06e2cd36b1ee7 SHA512 86ea0dd2cb4cde25f86b489b1d0bb27e3e7c1ba5449759ccecaae689cdcb349b968fd0c8fb8bc8273deff5e32a078bf40f4342f0c5a1f53bb8d2b968f44a453b
diff --git a/dev-python/cheroot/cheroot-9.0.0.ebuild b/dev-python/cheroot/cheroot-9.0.0.ebuild
new file mode 100644
index 000000000000..f16d3e17d8a7
--- /dev/null
+++ b/dev-python/cheroot/cheroot-9.0.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="High-performance, pure-Python HTTP server used by CherryPy"
+HOMEPAGE="
+ https://cherrypy.dev/
+ https://pypi.org/project/cheroot/
+ https://github.com/cherrypy/cheroot/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-2.6[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/jaraco-context[${PYTHON_USEDEP}]
+ dev-python/jaraco-text[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-1.11.0[${PYTHON_USEDEP}]
+ dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e '/--cov/d' \
+ -e '/--testmon/d' \
+ -e '/--numproc/d' \
+ -i pytest.ini || die
+
+ # broken
+ sed -i -e '/False.*localhost/d' cheroot/test/test_ssl.py || die
+ # pypytools is py2 stuff
+ sed -i -e '/pypytools/d' cheroot/test/test_server.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires pypytools, see above
+ cheroot/test/test_server.py::test_high_number_of_file_descriptors
+ )
+
+ local EPYTEST_IGNORE=()
+ if ! has_version "dev-python/pyopenssl[${PYTHON_USEDEP}]" ||
+ ! has_version "dev-python/trustme[${PYTHON_USEDEP}]"
+ then
+ EPYTEST_IGNORE+=(
+ cheroot/test/test_ssl.py
+ )
+ fi
+
+ epytest -p no:flaky
+}
diff --git a/dev-python/cheroot/files/cheroot-9.0.0-remove-pypytools-dep.patch b/dev-python/cheroot/files/cheroot-9.0.0-remove-pypytools-dep.patch
new file mode 100644
index 000000000000..8e79b2c776f4
--- /dev/null
+++ b/dev-python/cheroot/files/cheroot-9.0.0-remove-pypytools-dep.patch
@@ -0,0 +1,21 @@
+diff --git a/cheroot/test/test_server.py b/cheroot/test/test_server.py
+index 5e0a6832..6f480f40 100644
+--- a/cheroot/test/test_server.py
++++ b/cheroot/test/test_server.py
+@@ -12,8 +12,6 @@ import pytest
+ import requests
+ import requests_unixsocket
+
+-from pypytools.gc.custom import DefaultGc
+-
+ from .._compat import bton, ntob
+ from .._compat import IS_LINUX, IS_MACOS, IS_WINDOWS, SYS_PLATFORM
+ from ..server import IS_UID_GID_RESOLVABLE, Gateway, HTTPServer
+@@ -324,6 +322,7 @@ def test_peercreds_unix_sock_with_lookup(
+ assert peercreds_text_resp.text == expected_textcreds
+
+
++@pytest.mark.skip("pypytools not packaged")
+ @pytest.mark.skipif(
+ IS_WINDOWS,
+ reason='This regression test is for a Linux bug, '
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2022-11-20 7:45 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-06-21 10:16 [gentoo-commits] repo/gentoo:master commit in: dev-python/cheroot/, dev-python/cheroot/files/ Michał Górny
-- strict thread matches above, loose matches on Subject: below --
2022-11-20 7:45 Michał Górny
2019-03-09 23:23 William Hubbs
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox